﻿body {
    margin: 0;
    padding: 0;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

a {
    outline: none;
}

fieldset {
    border: solid 1px #ddd;
}

.ui-body-color {
    background: #F3F3F3;
}

.altRowsColor {
    background-color: #F3F3F3;
}


/**
 * logo
 */
.logo {
    color: #fff;
    text-decoration: none;
    display: inline-block;
}

.logo-img {
    height: 40px;
    vertical-align: middle;
}

.logo-text {
    display: inline-block;
    vertical-align: top;
    color: #fff;
    margin-left: 10px;
}

/**
 * 整体布局
 */
#header {
    position: fixed;
    z-index: 2;
    top: 0px;
    width: 100%;
    height: 60px;
    background: #414547;
    font-size: 14px;
    color: white;
    opacity: .95;
    filter: Alpha(Opacity=95);
}

#header_content {
    position: relative;
    width: auto;
    height: 60px;
    margin: 0px 40px;
    line-height: 60px;
}

#header_content_left {
    float: left;
    font-weight: bold;
    font-size: 24px;
}

#header_content_right {
    float: right;
}

#bodyer {
    overflow-x: hidden;
    overflow-y: auto;
    margin-top: 60px;
}

#bodyer_left {
    position: absolute;
    top: 80px;
    left: 40px;
    bottom: 20px;
    width: 250px;
    overflow-x: hidden;
    overflow-y: auto;
    border: solid 1px #e8e8e8;
    background-color: #fff;
}

#bodyer_right {
    position: absolute;
    top: 80px;
    left: 310px;
    right: 40px;
    bottom: 20px;
    overflow-x: hidden;
    overflow-y: auto;
    border: solid 1px #e8e8e8;
    background-color: #fff;
}

.box-shadow-2 {
    -webkit-box-shadow: 0 0 20px #d8d8d8;
    -moz-box-shadow: 0 0 20px #d8d8d8;
    box-shadow: 0 0 20px #d8d8d8;
}


/**** 二级主页面布局 start ****/
#ui-layout-top {
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    height: 45px;
}

#ui-layout-splitter {
    top: 50px;
    bottom: 5px;
    left: 5px;
    right: 5px;
}

#ui-layout-left {
    position: absolute;
    top: 0px;
    left: 0px;
    bottom: 0px;
    width: 180px;
    overflow: auto;
    border: none;
}

#ui-layout-right {
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    overflow: auto;
    border: none;
}

#ui-layout-top .ui-layout-top-left {
    position: absolute;
    top: 0;
    left: 0px;
}

#ui-layout-top .ui-layout-top-right {
    position: absolute;
    top: 0;
    right: 0px;
    padding: 0px 15px 0 0;
    height: 45px;
    line-height: 45px;
}

#ui-layout-top .ui-layout-top-title {
    font-size: 16px;
    font-weight: bold;
    margin-left: 10px;
    height: 45px;
    line-height: 45px;
}

/**** 二级主页面布局 end ****/

/**** 皮肤 start ****/
.ui-layout-header-theme {
    background: #414547;
    color: #fff;
    opacity: .95;
    filter: Alpha(Opacity=95);
}

/**** 皮肤 end ****/

/**
 * 鼠标滑过显示下拉菜单
 */
.ui-hover-menu {
    background-color: #fff;
    border: solid 1px #ddd;
    padding: 2px;
    position: absolute;
    font-size: 12px;
}

    .ui-hover-menu ul {
        list-style: none;
        padding: 0;
        margin: 0;
    }

        .ui-hover-menu ul li {
            list-style: none;
            padding: 0;
            margin: 0;
        }

            .ui-hover-menu ul li a {
                display: block;
                padding: 5px 20px;
                text-decoration: none;
                color: #999;
            }

                .ui-hover-menu ul li a:hover {
                    background-color: #414547;
                    color: #00B0F0;
                }

/**
 * 下拉三角形
 */
.caret {
    display: inline-block;
    width: 0;
    height: 0;
    margin-left: 2px;
    vertical-align: middle;
    border-top: 4px dashed;
    border-right: 4px solid transparent;
    border-left: 4px solid transparent;
}

/**
 * iframe
 */
.ui-iframe {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    bottom: 0;
}

/**
 * 首页导航
 */
.ui-nav {
    list-style: none;
    margin: 0;
    padding: 0;
}

.ui-nav-menu {
    list-style: none;
    margin: 0;
    padding: 0;
}

    .ui-nav-menu a {
        display: block;
        padding: 10px 40px;
        margin: 10px 0;
        font-size: 14px;
    }

.ui-nav-menu-icon {
    font-size: 20px;
    vertical-align: middle;
    display: inline-block;
}

.ui-nav-menu-text {
    margin-left: 20px;
    color: #6c6c6c;
    vertical-align: middle;
    display: inline-block;
}

.ui-nav-default {
    background: #fff;
    color: #999;
}

.ui-nav-hover {
    background: #414547;
    color: #00B0F0;
    text-decoration: none;
}

    .ui-nav-hover .ui-nav-menu-text, .ui-nav-hover .ui-nav-menu-icon {
        color: #00B0F0;
    }

.ui-nav-active {
    background: #414547;
    color: #00B0F0;
    text-decoration: none;
}

    .ui-nav-active .ui-nav-menu-text, .ui-nav-active .ui-nav-menu-icon {
        color: #00B0F0;
    }

/**
 * 二级菜单导航
 */

.ui-nav2 {
    width: 230px;
    margin: 20px 60px;
    display: inline-block;
    vertical-align: top;
}

.ui-nav2-title {
    color: #00B0F0;
    font-size: 14px;
    margin: 0px;
    padding: 5px;
}

.ui-nav2-desc {
    line-height: 20px;
    margin: 0px;
    padding: 5px 5px 5px 5px;
    color: #b4b4b4;
    font-size:12px;
}

/**
 * 三级菜单导航
 */

.ui-nav3 {
    width: 80px;
    margin: 20px 40px;
    padding: 10px;
    cursor: pointer;
    display: inline-block;
    vertical-align: top;
}

    .ui-nav3:hover {
        background: #508EC7;
        color: #fff;
        border-radius: 5px;
        text-decoration: none;
    }

.ui-nav3-icon {
    background-color: #fff;
    color: #508EC7;
    padding: 5px;
    border: solid 2px #508EC7;
    border-radius: 50%;
    text-align: center;
    vertical-align: middle;
    width: 35px;
    height: 35px;
    margin: 0 auto;
}

.ui-nav3:hover .ui-nav3-icon {
    background-color: #508EC7;
    color: #fff;
    border: solid 2px #fff;
}

.ui-nav3-icon .glyphicon {
    font-size: 24px;
    margin: 4px 0 0 4px;
}

.ui-nav3-text {
    padding: 5px 0;
    text-align: center;
}


/**
 * 导航条
 */
.ui-navtoolbar {
}

.ui-navtoolbar-link {
    font-size: 15px;
}

.ui-navtoolbar-split {
    margin: 0 5px;
    font-size: 12px;
    color: #aaa;
}

.ui-navtoolbar-text {
    font-size: 15px;
}


/**
 * 面板
 */
.ui-panel2 {
    margin: 20px;
}

.ui-panel2-header {
    border-bottom: solid 1px #BDC4CA;
    padding: 10px;
}

.ui-panel2-header-left {
    float: left;
    font-size: 14px;
}

.ui-panel2-header-right {
    float: right;
}


/**
 * 列表
 */
.ui-list-group {
    list-style: none;
    margin: 0;
    padding: 10px 0;
    max-height: 300px;
    overflow: auto;
}

.ui-list-item {
    list-style: none;
    margin: 0px;
    padding: 5px;
    border-bottom: dashed 1px #e8e8e8;
}

.ui-list-item-icon {
    font-size: 16px;
    vertical-align: middle;
    display: inline-block;
}

.ui-list-item-text {
    vertical-align: middle;
    display: inline-block;
    margin-left: 10px;
}


/**
 * 主页面
 */
.ui-page {
    background-color: #fff;
    margin: 20px 40px 20px 40px;
    min-height: 600px;
    padding: 5px 30px 20px 30px;
}

.ui-page-header {
    padding: 10px 0;
    border-bottom: solid 1px #bbb;
}

.ui-page-header-nav {
    padding: 10px 0;
}

.ui-page-header-btn {
    padding: 10px 0;
}

.ui-page-search {
    padding: 15px 0px;
}

.ui-page-body {
}


/**
 * 编辑页面
 */
.ui-page-edit {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: #f3f3f3;
    overflow: hidden;
}

.ui-page-edit-form {
    position: absolute;
    top: 10px;
    right: 10px;
    bottom: 43px;
    left: 10px;
    background: #fff;
    overflow: auto;
}

.ui-page-edit-form-row {
    margin: 5px;
}

.ui-page-edit-buttonset {
    position: absolute;
    right: 10px;
    bottom: 10px;
    overflow: hidden;
}


/**** table样式 start ****/

table.ui-cust-table {
    border-collapse: collapse;
    width: 100%;
}

    table.ui-cust-table th, table.ui-cust-table td {
        height: 22px;
    }

    table.ui-cust-table td {
        border: solid 1px #aaaaaa;
        padding-left: 2px;
    }


/**单双行颜色不一样*/
.table-th {
    background: #ccc;
    padding: 5px;
    text-align: left;
}

.tr-odd td {
    background-color: #fff;
    padding: 5px;
}

.tr-even td {
    background-color: #eee;
    padding: 5px;
}
/**** table样式 end ****/


/**
 * 表单
 */
.form-field-label {
    font-weight: bold;
    text-align: right;
    width: 100px;
    display: inline-block;
}



/*********列表控件 start************/

.ui-list2 {
    position: absolute;
    top: 0px;
    right: 0;
    bottom: 0;
    left: 0;
    overflow: auto;
}

.ui-list2-item {
    cursor: pointer;
    border-bottom: solid 1px #efefef;
    padding: 10px;
}

    .ui-list2-item table {
        width: 100%;
    }

.ui-list2-item-icon-border {
    padding: 2px;
    border-style: solid;
    border-width: 1px;
    border-color: #0094ff;
    background: none;
    border-radius: 50%;
    width: 40px;
    height: 40px;
}

.ui-list2-item-icon {
    background: #0094ff;
    border-radius: 50%;
    width: 40px;
    height: 40px;
}

    .ui-list2-item-icon .glyphicons {
        margin: 13px 0 0 14px;
        color: #fff;
    }

.ui-list2-item-active {
    background-color: #d9edf7;
}

.ui-list2-item:hover {
    background-color: #eee;
}

.ui-list2-item-text {
    margin-left: 10px;
    padding: 2px 0;
}

/*********列表控件 结束************/
